/*--------------------------------------------------------------------------------------+
|
|     $Source: MstnExamples/View/DisplayRule/DisplayRuleutils.h $
|
|  $Copyright: (c) 2021 LA Solutions Ltd. All rights reserved. $
|  $Copyright: (c) 2018 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------+
| DisplayRuleCRUD is created for CRUD operations  Display Rule
|
+--------------------------------------------------------------------------------------*/
struct DisplayRuleUtils
    {
    private:
		static WString  GetInternalName 		(WStringCR	name);
        void OutputMessageInMessageCenter(WCharCP msg);
        void OutputMessageInMessageCenter(WStringCR msg);
        void OutputMessageInMessageCenter(UInt32 groupMsgId, UInt32 msgId);

    public:
        static void CreateDisplayRuleSet			(WCharCP unparsed);
        static void DeleteDisplayRuleSet			(WCharCP unparsed);
        static void CreateDisplayRule				(WCharCP name);
        static void CreateDisplayRuleItemType		(WCharCP condition);
        static void DeleteDisplayRule				(WCharCP unparsed);
        static void ModifyDisplayRuleAndActions		(WCharCP name);
        static void ReadDisplayRuleFromRuleSet		(WCharCP name);
    };


