/*--------------------------------------------------------------------------------------+
|
|     $Source: MstnExamples/View/DisplayRule/displayruleids.h $
|
|  $Copyright: (c) 2018 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/


/*----------------------------------------------------------------------+
|   String List IDS                                                     |
+----------------------------------------------------------------------*/
#define STRINGLISTID_Commands                              0
#define STRINGLISTID_Prompts                               1

/*----------------------------------------------------------------------+
|  CommandName IDS                                                      |
+----------------------------------------------------------------------*/
#define CMDNAME_DisplayRuleSetCreate                      12
#define CMDNAME_DisplayRuleSetDelete                      13
#define CMDNAME_DisplayRuleModify                         14
#define CMDNAME_DisplayRuleRead                           21
#define CMDNAME_DisplayRuleCreate                         16
#define CMDNAME_DisplayRuleDelete                         22

/*----------------------------------------------------------------------+
|  Message IDS                                                          |
+----------------------------------------------------------------------*/
#define PROMPT_InputAPoint                                 1
#define PROMPT_DeleteRules                                 2
#define PROMPT_ElementDisplayRule                          3
#define PROMPT_ColorOverrideDisplayRule                    4
#define PROMPT_StyleOverrideDisplayRule                    5
#define PROMPT_TransparencyOverrideDisplayRule             6
#define PROMPT_PriorityOverrideDisplayRule                 7
#define PROMPT_FillColorOverrideDisplayRule                8
#define PROMPT_DisplayRuleNotFound                         9
#define PROMPT_ElementDisplayValue                        23
#define PROMPT_ColorOverrideValue                         24
#define PROMPT_PriorityOverrideValue                      25
#define PROMPT_DisplayRuleSetCreate                       26
#define PROMPT_DisplayRuleSetDelete                       27
#define PROMPT_DisplayRuleModified                        28
#define PROMPT_DisplayRuleDeleted                         29
#define PROMPT_ProvideValidParam                          30
#define PROMPT_ProvideParam                               31


