/*--------------------------------------------------------------------------------------+
|
|     $Source: MstnExamples/View/DisplayRule/transkit/displayrulemsg.r $
|
|  $Copyright: (c) 2018 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/
#include <Mstn\MdlApi\rscdefs.r.h>
#include "..\displayruleids.h"

/*----------------------------------------------------------------------+
|    Command Names                                                      |
+----------------------------------------------------------------------*/
MessageList STRINGLISTID_Commands =
{
    {
    { CMDNAME_DisplayRuleSetCreate,                           "Create a set of display rules" },
    { CMDNAME_DisplayRuleSetDelete,                           "Delete a set of display rules" },
    { CMDNAME_DisplayRuleModify,                              "Modify display rules" },
    { CMDNAME_DisplayRuleCreate,                              "Element Display Rule"},
    { CMDNAME_DisplayRuleRead,                                "Read display rules" },
    { CMDNAME_DisplayRuleDelete,                              "Display Rule delete"},
    }
};

MessageList STRINGLISTID_Prompts =
{
    {
    { PROMPT_ElementDisplayRule,                              "Element Display on/off Rule created " },
    { PROMPT_ColorOverrideDisplayRule,                        "Color Override DisplayRule created"},
    { PROMPT_StyleOverrideDisplayRule,                        "Style Override DisplayRule created"},
    { PROMPT_TransparencyOverrideDisplayRule,                 "Transparency Override DisplayRule created" },
    { PROMPT_PriorityOverrideDisplayRule,                     "Priority Override DisplayRule created"},
    { PROMPT_FillColorOverrideDisplayRule,                    "FillColor Override DisplayRule created"},
    { PROMPT_DisplayRuleNotFound,                             "Display Rule Not Found"},
    { PROMPT_ElementDisplayValue,                             "Element Display off %ls" },
    { PROMPT_ColorOverrideValue,                              "Element Color value is %zu" },
    { PROMPT_PriorityOverrideValue,                           "Element Priority is %d" },
    { PROMPT_DisplayRuleSetCreate,                            "Display Rule Set created"},
    { PROMPT_DisplayRuleSetDelete,                            "Display Rule Set deleted"},
    { PROMPT_DisplayRuleModified,                             "Display Rule action modified"},
    { PROMPT_DisplayRuleDeleted,                              "Display Rule deleted"},
    { PROMPT_ProvideValidParam,                               "Provide valid key in parameters"},
    { PROMPT_ProvideParam,                                    "Provide Rule Set Name, Condition, Action and if needed modified parameters" },
    }
};



